#ifndef __LOGGER_H__
#define __LOGGER_H__

#include "SEGGER_RTT/RTT/SEGGER_RTT.h"
#define __PYNIC_NO_STDIO__
#define _pynic_logout_printf(fmt, ...) SEGGER_RTT_printf(0, fmt, ##__VA_ARGS__)
#define _pynic_snprintf snprintf
#define _pynic_exit goto_error_handler

void Error_Handler(void);
static void goto_error_handler(int errno) {
  (void)errno;
  Error_Handler();
}

#ifdef __PYNIC_LOG_IMPLIMENT__
#include <stdio.h>
#define INIT_LOGGER() do { \
  SEGGER_RTT_Init(); \
  } while(0)
#endif
#include "pynic_log/pynic_log.h"

#endif // __LOGGER_H__
